Distribuição mais compatível com o PJeOffice

1. Distribuição mais compatível com o PJeOffice

Monique
thebadger

(usa Ubuntu)

Enviado em 24/03/2020 - 18:54h

Pessoal, boa noite.

Vocês conseguem utilizar o PJeOffice em qual distribuição do Linux? Atualmente estou com o Manjaro, mas estou com dificuldade em instalar os programas necessários. O tutorial que vi aqui no fórum utiliza os drivers da Valid, mas a certificadora disponível aqui no meu estado é a Certisign, que não oferece nenhum suporte para linux. Consigo instalar o java e parte dos drivers da valid, pois alguns precisam de multiarch e não consegui resolver. No final precisei reinstalar o Manjaro pois o sistema não iniciava - outro problema que tive e não sei se foi causado por algum driver da valid ou algum outro dowload.

Edit: será que dá certo se usar o PJeOffice no Windows em VM?


  


2. Re: Distribuição mais compatível com o PJeOffice

Bruno Sousa
N1vBruno

(usa Manjaro Linux)

Enviado em 24/03/2020 - 21:46h

Estou usando o Manjaro também e o PJe funciona normal aqui.

Seu token é o "StarSign Crypto Starsign CUT / S (GD)" ou o "Token 5110 | 5100 (SafeNet)"?

Se for o primeiro, os drivers da Valid funcionam normalmente e você pode instalá-lo pelo AUR com yay -S safesignidentityclient. Se for o segundo, também é possível usá-lo instalando com yay -S sac-core.

Pelo menos esses são os tokens que eu uso aqui e funcionam normalmente com o PJe. Já quanto ao java eu sempre usei o jre8-openjdk.


3. Re: Distribuição mais compatível com o PJeOffice

Marcos Moraes
mamp

(usa Fedora)

Enviado em 26/03/2020 - 15:07h

Usei tem todas versoes do UBUNTU 14.04 para cima, hj estou usando 20.04

somente UBUNTU



4. Re: Distribuição mais compatível com o PJeOffice

Marcos Moraes
mamp

(usa Fedora)

Enviado em 26/03/2020 - 15:11h

Eu uso dois. Valid (Token - aladin) e Certisgin (leritora de Cartao)... funciona em todos.
N1vBruno escreveu:

Estou usando o Manjaro também e o PJe funciona normal aqui.

Seu token é o "StarSign Crypto Starsign CUT / S (GD)" ou o "Token 5110 | 5100 (SafeNet)"?

Se for o primeiro, os drivers da Valid funcionam normalmente e você pode instalá-lo pelo AUR com yay -S safesignidentityclient. Se for o segundo, também é possível usá-lo instalando com yay -S sac-core.

Pelo menos esses são os tokens que eu uso aqui e funcionam normalmente com o PJe. Já quanto ao java eu sempre usei o jre8-openjdk.





5. Re: Distribuição mais compatível com o PJeOffice

Marcos Moraes
mamp

(usa Fedora)

Enviado em 26/03/2020 - 15:14h

Somente no ubuntu. Conversei diretamente com TI do STJ. Eu acabei re reinatalar no ubuntu 20,04. Quanto driver e certsign que valid usa para linux e inatalei pjeoffice e pje para ambos com esta orientação
Com q instalação no ubuntu 20.04 pensei publicar una atualização porque bibliotecas atualizaram
Minions escreveu:

thebadger escreveu:

Pessoal, boa noite.

Vocês conseguem utilizar o PJeOffice em qual distribuição do Linux? Atualmente estou com o Manjaro, mas estou com dificuldade em instalar os programas necessários. O tutorial que vi aqui no fórum utiliza os drivers da Valid, mas a certificadora disponível aqui no meu estado é a Certisign, que não oferece nenhum suporte para linux. Consigo instalar o java e parte dos drivers da valid, pois alguns precisam de multiarch e não consegui resolver. No final precisei reinstalar o Manjaro pois o sistema não iniciava - outro problema que tive e não sei se foi causado por algum driver da valid ou algum outro dowload.

Edit: será que dá certo se usar o PJeOffice no Windows em VM?


Poderia informa como é feita a instalação no Windows do PJeOffice tipo:

Se baixa algum programa no site tal
Se usa algum dispositivo via usb
fabricante e modelo do dispositivo

Algo similar ao Certisign que geralmente usa Cartão, Token ou Nuvem como forma de armazenamento.

https://www.validcertificadora.com.br/SafeSignLinux





6. INSTALAÇÃO DEFINITIVA PJE TJSP ETC TOKEN OAB

Estevao
carvalhonh

(usa Debian)

Enviado em 04/04/2020 - 12:19h

Tive problemas também
Primeiro apt install libengine-pkcs11-openssl libp11-3 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libengine-pkcs11-openssl
Porém enviei para pendrive os arquivos descompactados libpng12.so.0 e libwx_gtk2u_core-2.8.so.0 (libwxgtk2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libpng12-0_1.2.50-2+deb8u3_amd64.deb)
Depois instalei libwxbase2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libjpeg62-turbo_1.5.2-2+b1_amd64.deb libgdbm3_1.8.3-14_amd64.deb libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb são os únicos que instalam e logo em seguida safesignidentityclient_3.0.77-Ubuntu_amd64.deb
pegue aqui: https://www.validcertificadora.com.br/SafeSignLinux
apt update e faltavam os descompactados acima
Então gedit /var/lib/dpkg/status e retire libwxbase2.8-0, libwxgtk2.8-0 e libgdbm3 salve
então apt -f install instalará safesignidentityclient_3.0.77-Ubuntu_amd64.deb porém não abre o utilitário de administração do token para se precisar refazer senha digitadas por três vezes, para quem não precisa está encerrado.
Porém quem entende que é necessário vamos pegar os arquivos descompactados e jogá-los em
cd /tmp/
cp libwx_gtk2u_core-2.8.so.0 /usr/lib/x86_64-linux-gnu/
cd /tmp/
cp libpng12.so.0 /usr/lib/x86_64-linux-gnu/
teste para saber se abrirá: /usr/bin/tokenadmin (veja há falta, acrescente-a ou se tudo ok abrirá)
Uso Linux somente há quinze anos


7. Re: Distribuição mais compatível com o PJeOffice

Monique
thebadger

(usa Ubuntu)

Enviado em 08/04/2020 - 00:06h

N1vBruno escreveu:

Estou usando o Manjaro também e o PJe funciona normal aqui.

Seu token é o "StarSign Crypto Starsign CUT / S (GD)" ou o "Token 5110 | 5100 (SafeNet)"?

Se for o primeiro, os drivers da Valid funcionam normalmente e você pode instalá-lo pelo AUR com yay -S safesignidentityclient. Se for o segundo, também é possível usá-lo instalando com yay -S sac-core.

Pelo menos esses são os tokens que eu uso aqui e funcionam normalmente com o PJe. Já quanto ao java eu sempre usei o jre8-openjdk.


Emiti o meu hoje, o modelo do token é 5110. Bom saber que funcionam no Manjaro, gostei muito da distro, porém troquei pelo Ubuntu porque também estava com problema em relação ao wifi, não consegui fazer funcionar :/

Minions escreveu:

thebadger escreveu:

Pessoal, boa noite.

Vocês conseguem utilizar o PJeOffice em qual distribuição do Linux? Atualmente estou com o Manjaro, mas estou com dificuldade em instalar os programas necessários. O tutorial que vi aqui no fórum utiliza os drivers da Valid, mas a certificadora disponível aqui no meu estado é a Certisign, que não oferece nenhum suporte para linux. Consigo instalar o java e parte dos drivers da valid, pois alguns precisam de multiarch e não consegui resolver. No final precisei reinstalar o Manjaro pois o sistema não iniciava - outro problema que tive e não sei se foi causado por algum driver da valid ou algum outro dowload.

Edit: será que dá certo se usar o PJeOffice no Windows em VM?


Poderia informa como é feita a instalação no Windows do PJeOffice tipo:

Se baixa algum programa no site tal
Se usa algum dispositivo via usb
fabricante e modelo do dispositivo

Algo similar ao Certisign que geralmente usa Cartão, Token ou Nuvem como forma de armazenamento.

https://www.validcertificadora.com.br/SafeSignLinux


Desculpa não ter colocado.

É preciso ter instalado o Java, o driver do token, os certificados e o aplicativo de assinatura do PJe.

mamp escreveu:

Somente no ubuntu. Conversei diretamente com TI do STJ. Eu acabei re reinatalar no ubuntu 20,04. Quanto driver e certsign que valid usa para linux e inatalei pjeoffice e pje para ambos com esta orientação
Com q instalação no ubuntu 20.04 pensei publicar una atualização porque bibliotecas atualizaram



Agradeço pelos tutoriais, ajudaram muito. Só não consegui instalar a cadeia de certificados, o item "instalar" não fica selecionável, mesmo após alterar as permissões. Os passos anteriores consegui fazer.

carvalhonh escreveu:

Tive problemas também
Primeiro apt install libengine-pkcs11-openssl libp11-3 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libengine-pkcs11-openssl
Porém enviei para pendrive os arquivos descompactados libpng12.so.0 e libwx_gtk2u_core-2.8.so.0 (libwxgtk2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libpng12-0_1.2.50-2+deb8u3_amd64.deb)
Depois instalei libwxbase2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libjpeg62-turbo_1.5.2-2+b1_amd64.deb libgdbm3_1.8.3-14_amd64.deb libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb são os únicos que instalam e logo em seguida safesignidentityclient_3.0.77-Ubuntu_amd64.deb
pegue aqui: https://www.validcertificadora.com.br/SafeSignLinux
apt update e faltavam os descompactados acima
Então gedit /var/lib/dpkg/status e retire libwxbase2.8-0, libwxgtk2.8-0 e libgdbm3 salve
então apt -f install instalará safesignidentityclient_3.0.77-Ubuntu_amd64.deb porém não abre o utilitário de administração do token para se precisar refazer senha digitadas por três vezes, para quem não precisa está encerrado.
Porém quem entende que é necessário vamos pegar os arquivos descompactados e jogá-los em
cd /tmp/
cp libwx_gtk2u_core-2.8.so.0 /usr/lib/x86_64-linux-gnu/
cd /tmp/
cp libpng12.so.0 /usr/lib/x86_64-linux-gnu/
teste para saber se abrirá: /usr/bin/tokenadmin (veja há falta, acrescente-a ou se tudo ok abrirá)
Uso Linux somente há quinze anos


Agradeço pela resposta. Ocorre que tive dificuldade com as instruções. Consegui fazer as primeiras instalações, mas não consegui instalar esses pacotes: libwxbase2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libjpeg62-turbo_1.5.2-2+b1_amd64.deb libgdbm3_1.8.3-14_amd64.deb libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb. O programa da SafeSign já tinha conseguido instalar. Fiquei com dúvida nos passos seguintes, não entendi o motivo de remover o libwxbase2.8-0 e seguintes.





8. Re: Distribuição mais compatível com o PJeOffice

Bruno Sousa
N1vBruno

(usa Manjaro Linux)

Enviado em 08/04/2020 - 13:21h

Que pena que teve esse problema com o Manjaro.
Não entendo muito de Ubuntu, mas achei esse tutorial - https://ubuntuforum-pt.org/index.php?topic=123004.msg675398#msg675398 - do 18.04 para uso no e-SAJ, e acredito que parte dele possa ser aproveitada:

1. Abra um terminal e digite o seguinte comando para instalar os drivers p/ leitora de cartão:

sudo apt install libccid pcscd

2. Baixe e instale via Software Center os arquivos necessários:
a) libgdbm3 (Link: <ftp.br.debian.org/debian/pool/main/g/gdbm/libgdbm3_1.8.3-13.1_amd64.deb>);
b) libpng12-0 (Link <ftp.br.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb>);


Depois você pode baixar o driver do token no https://certificados.serpro.gov.br/arserpro/pages/information/drivers_token_download.jsf? ou então apenas o "core" do driver (sem a ferramenta de configuração do token, apenas o necessário para ele funcionar) no https://storage.spidlas.cz/public/soft/safenet/SafenetAuthenticationClient-core-10.0.37-0_amd64.deb.


9. Re: Distribuição mais compatível com o PJeOffice

Monique
thebadger

(usa Ubuntu)

Enviado em 08/04/2020 - 18:13h

N1vBruno escreveu:

Que pena que teve esse problema com o Manjaro.
Não entendo muito de Ubuntu, mas achei esse tutorial - https://ubuntuforum-pt.org/index.php?topic=123004.msg675398#msg675398 - do 18.04 para uso no e-SAJ, e acredito que parte dele possa ser aproveitada:

1. Abra um terminal e digite o seguinte comando para instalar os drivers p/ leitora de cartão:

sudo apt install libccid pcscd

2. Baixe e instale via Software Center os arquivos necessários:
a) libgdbm3 (Link: <ftp.br.debian.org/debian/pool/main/g/gdbm/libgdbm3_1.8.3-13.1_amd64.deb>);
b) libpng12-0 (Link <ftp.br.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb>);


Depois você pode baixar o driver do token no https://certificados.serpro.gov.br/arserpro/pages/information/drivers_token_download.jsf? ou então apenas o "core" do driver (sem a ferramenta de configuração do token, apenas o necessário para ele funcionar) no https://storage.spidlas.cz/public/soft/safenet/SafenetAuthenticationClient-core-10.0.37-0_amd64.deb.


Muito obrigada! Funcionou perfeitamente. O gerenciador de token que foi instalado é bem mais funcional que o "token admin".

Quero aproveitar para dizer que fiz um atalho para salvar o PJeOffice no dock com o programa "Main Menu" para GNOME, recomendo para poupar tempo.


10. Re: Distribuição mais compatível com o PJeOffice

Bruno Sousa
N1vBruno

(usa Manjaro Linux)

Enviado em 08/04/2020 - 18:43h

thebadger escreveu:

N1vBruno escreveu:

Que pena que teve esse problema com o Manjaro.
Não entendo muito de Ubuntu, mas achei esse tutorial - https://ubuntuforum-pt.org/index.php?topic=123004.msg675398#msg675398 - do 18.04 para uso no e-SAJ, e acredito que parte dele possa ser aproveitada:

1. Abra um terminal e digite o seguinte comando para instalar os drivers p/ leitora de cartão:

sudo apt install libccid pcscd

2. Baixe e instale via Software Center os arquivos necessários:
a) libgdbm3 (Link: <ftp.br.debian.org/debian/pool/main/g/gdbm/libgdbm3_1.8.3-13.1_amd64.deb>);
b) libpng12-0 (Link <ftp.br.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb>);


Depois você pode baixar o driver do token no https://certificados.serpro.gov.br/arserpro/pages/information/drivers_token_download.jsf? ou então apenas o "core" do driver (sem a ferramenta de configuração do token, apenas o necessário para ele funcionar) no https://storage.spidlas.cz/public/soft/safenet/SafenetAuthenticationClient-core-10.0.37-0_amd64.deb.


Muito obrigada! Funcionou perfeitamente. O gerenciador de token que foi instalado é bem mais funcional que o "token admin".

Quero aproveitar para dizer que fiz um atalho para salvar o PJeOffice no dock com o programa "Main Menu" para GNOME, recomendo para poupar tempo.

Ótimo! Disponha, estamos às ordens.
Esse "token admin", salvo engano, serve apenas para o token GD Burti, enquanto que esse que foi instalado agora gerencia apenas o Safenet.


11. Melhor distribuicao

Marcos Moraes
mamp

(usa Fedora)

Enviado em 15/04/2020 - 18:50h

Eu conversei no suporte e com TI do CNJ,
Se quiser usar com eficiencia, somednte UBUNTU.

Escrevi artigos sobre o Tema, confere la.
http://www.pje.blog.br/2020/04/lista-completa-de-artigos-publicados-no.html





12. Re: Distribuição mais compatível com o PJeOffice

Marcos Moraes
mamp

(usa Fedora)

Enviado em 15/04/2020 - 18:51h

Eu usei pelo repositorio da Valid e Cliente SafeSign 3.0 e funcinoou tanto no Token Aladin da Valid tanto da Leitora de Cartao Certisign.

N1vBruno escreveu:

Estou usando o Manjaro também e o PJe funciona normal aqui.

Seu token é o "StarSign Crypto Starsign CUT / S (GD)" ou o "Token 5110 | 5100 (SafeNet)"?

Se for o primeiro, os drivers da Valid funcionam normalmente e você pode instalá-lo pelo AUR com yay -S safesignidentityclient. Se for o segundo, também é possível usá-lo instalando com yay -S sac-core.

Pelo menos esses são os tokens que eu uso aqui e funcionam normalmente com o PJe. Já quanto ao java eu sempre usei o jre8-openjdk.






01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts